# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-CPAN-Meta
Summary:	Distribution metadata for a CPAN dist
Version:	2.150010
Release:	490.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/CPAN-Meta
Source0:	https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:	sed
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.121
BuildRequires:	perl(CPAN::Meta::YAML) >= 0.011
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(JSON::PP) >= 2.27300
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.88
BuildRequires:	perl(warnings)
# Main test suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp) >= 0.20
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(lib)
BuildRequires:	perl(overload)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
# Extra tests (not run when bootstrapping due to multiple circular dependencies)
%if 0%{!?perl_bootstrap:1}
BuildRequires:	grep
BuildRequires:	perl(blib)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire)
BuildRequires:	perl(Perl::Critic::Policy::Miscellanea::RequireRcsKeywords)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Version) >= 1.002
%endif
# Runtime
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(CPAN::Meta::YAML) >= 0.011
Requires:	perl(Encode)
Requires:	perl(JSON::PP) >= 2.27300
Requires:	perl(version) >= 0.88

# Parse-CPAN-Meta merged into CPAN-Meta 2.150008
Obsoletes:	perl-Parse-CPAN-Meta < 1:1.4422-2
Provides:	perl-Parse-CPAN-Meta = 1:%{version}-%{release}

%description
Software distributions released to the CPAN include a META.json or, for older 
distributions, META.yml, which describes the distribution, its contents, and 
the requirements for building and installing the distribution. The data 
structure stored in the META.json file is described in CPAN::Meta::Spec.

%prep
%setup -q -n CPAN-Meta-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot} UNINST=0
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
%if 0%{!?perl_bootstrap:1}
make test TEST_FILES="$(echo $(find xt/ -name '*.t' | grep -Fv xt/author/pod-spell.t ))"
%endif

%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn history README Todo
%{perl_vendorlib}/CPAN/
%{perl_vendorlib}/Parse/
%{_mandir}/man3/CPAN::Meta.3*
%{_mandir}/man3/CPAN::Meta::Converter.3*
%{_mandir}/man3/CPAN::Meta::Feature.3*
%{_mandir}/man3/CPAN::Meta::History.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_0.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_1.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_2.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_3.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_4.3*
%{_mandir}/man3/CPAN::Meta::Merge.3*
%{_mandir}/man3/CPAN::Meta::Prereqs.3*
%{_mandir}/man3/CPAN::Meta::Spec.3*
%{_mandir}/man3/CPAN::Meta::Validator.3*
%{_mandir}/man3/Parse::CPAN::Meta.3*

%changelog
* Wed Mar  8 2023 Paul Howarth <paul@city-fan.org> - 2.150010-490
- Use SPDX-format license tag
- Use %%license unconditionally

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 2.150010-416
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Switch upstream from search.cpan.org to metacpan.org
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop workarounds for building with File::Temp < 0.20 and Test::More < 0.88

* Mon Sep 19 2016 Paul Howarth <paul@city-fan.org> - 2.150010-2
- Add provide for perl-Parse-CPAN-Meta to support upgrade path for users with
  perl-core installed prior to Fedora 26

* Fri Aug 19 2016 Paul Howarth <paul@city-fan.org> - 2.150010-1
- Update to 2.150010
  Added:
  - Merged Parse::CPAN::Meta 1.4420 into this distribution
  Fixed:
  - CPAN::Meta::Prereqs now fully accepts phases and types starting with 'x_';
    new 'phases' and 'types_in' interfaces have been added
  - No longer relies on JSON backend for data structure cloning; this is much
    faster than using JSON::PP
  - The cloning routine would raise an error on expected types when it
    previously would stringify; the old behavior is restored
  - Fixed used of Encode in Parse::CPAN::Meta::load_json_string (cherry picked
    from Parse::CPAN::Meta 1.4422)
  - Added "use warnings" to Parse::CPAN::Meta
  - The YAML and JSON backend variables are ignored when building/testing the
    perl core itself, where non-core backends are not yet installed
  Tests:
  - The 'extra_mappings' feature for meta merging is now tested and documented
  - During tests, delete new environment variables added by Parse::CPAN::Meta
    1.4418
  Spec:
  - Clarifies acceptable values for booleans
  - Cleaned up text and links of historical specs
- Obsolete old perl-Parse-CPAN-Meta package

* Fri Aug 12 2016 Paul Howarth <paul@city-fan.org> - 2.150005-365
- BR: perl-generators where available
- Simplify find command using -delete

* Sat Jun 13 2015 Paul Howarth <paul@city-fan.org> - 2.150005-1
- Update to 2.150005
  - Metadata merging now does deep hash merging as long as keys don't conflict
  - Serialized CPAN::Meta objects now include a x_serialization_backend entry
  - Declared extra developer prereq
  - Added test for 'x_deprecated' field in "provides"
  - Noted explicitly that historical META spec files are licensed under the
    same terms as Perl
  - Changed some test data from UTF-8 to ASCII
- Update patch for building with old Test::More versions

* Tue Mar 10 2015 Paul Howarth <paul@city-fan.org> - 2.150001-1
- Update to 2.150001
  - Include allowed values for license field in 1.x historic licenses rather
    than linking to Module::Build
  - Documented when fragment merging became available
- Update patch for building with old Test::More versions

* Thu Nov 20 2014 Paul Howarth <paul@city-fan.org> - 2.143240-1
- Update to 2.143240
  - Give correct path in nested merges such as resources
  - Removed strings test that should have been removed when
    CPAN::Meta::Requirements was removed to a separate dist
- Update patch for building with old Test::More versions

* Fri Sep 26 2014 Paul Howarth <paul@city-fan.org> - 2.142690-1
- Update to 2.142690
  - Fixed use of incorrect method in CPAN::Meta::Merge implementation
  - Clarified documentation that no_index is a list of exclusions, and that
    indexers should generally exclude 'inc', 'xt' and 't' as well
  - CPAN::Meta::History::Meta_1_0 through 1_4 are added as a permanent
    record of 1.x versions of the metaspec

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 2.142060-2
- Perl 5.20 rebuild

* Mon Jul 28 2014 Paul Howarth <paul@city-fan.org> - 2.142060-1
- Update to 2.142060
  - CPAN::Meta::Merge is a new class for merging two possibly overlapping
    instances of metadata, which will accept both CPAN::Meta objects and
    (possibly incomplete) hashrefs of metadata
- Use %%license where possible
- Update patch for building with old Test::More versions

* Tue Jun 10 2014 Paul Howarth <paul@city-fan.org> - 2.141520-1
- Update to 2.141520
  - Clarified use of 'file' for the 'provides' field in the Spec

* Sun Apr 27 2014 Paul Howarth <paul@city-fan.org> - 2.141170-1
- Update to 2.141170
  - Added ability for CPAN::Meta::Converter to convert metadata fragments
    (incomplete portions of a metadata structure)
  - Optimized internal use of JSON for datastructure cloning
  - Removed dependency on List::Util 1.33
  - Clarified language around 'dynamic_config' in the Spec
- Drop %%defattr, redundant since rpm 4.4
- Update patches as needed

* Wed Mar  5 2014 Paul Howarth <paul@city-fan.org> - 2.140640-1
- Update to 2.140640
  - Added a 'load_string' method that guesses whether the string is YAML or
    JSON
- Update patches as needed

* Wed Dec  4 2013 Paul Howarth <paul@city-fan.org> - 2.133380-1
- Update to 2.133380
  - Improved bad version handling during META conversion
  - When downgrading multiple licenses to version 1.x META formats, if all the
    licenses are open source, the downgraded license will be "open_source", not
    "unknown"
- Add patch to support building with List::Util < 1.33 by using List::MoreUtils
  instead, currently needed everywhere since even Rawhide only has List::Util
  1.31 at the moment
- Update patch for building with old Test::More versions

* Fri Oct 11 2013 Paul Howarth <paul@city-fan.org> - 2.132830-1
- Update to 2.132830
  - CPAN::Meta::Prereqs now has a 'merged_requirements' method for combining
    requirements across multiple phases and types
  - Invalid 'meta-spec' is no longer a fatal error: instead, it will usually
    be treated as spec version "1.0" (prior to formalization of the meta-spec
    field); conversion has some heuristics for guessing a version depending on
    other fields if 'meta-spec' is missing or invalid
- Update patch for building with old Test::More versions

* Mon Sep 23 2013 Paul Howarth <paul@city-fan.org> - 2.132661-1
- Update to 2.132661
  - Updated Makefile.PL logic to support PERL_NO_HIGHLANDER
  - Dropped ExtUtils::MakeMaker configure_requires dependency to 6.17
- Drop redundant patch for building with ExtUtils::MakeMaker < 6.30

* Mon Sep 23 2013 Paul Howarth <paul@city-fan.org> - 2.132660-1
- Update to 2.132660
  - Installation on Perls < 5.12 will uninstall older versions installed
    due to being bundled with ExtUtils::MakeMaker
- Update patches as needed

* Thu Sep 19 2013 Paul Howarth <paul@city-fan.org> - 2.132620-1
- Update to 2.132620
  - META validation used to allow a scalar value when a list (i.e. array
    reference) was required for a field; this has been tightened and
    validation will now fail if a scalar value is given

* Sun Sep  8 2013 Paul Howarth <paul@city-fan.org> - 2.132510-1
- Update to 2.132510
  - Fixed incorrectly encoded META.yml

* Sat Aug  3 2013 Paul Howarth <paul@city-fan.org> - 2.132140-1
- Update to 2.132140
  - Fixed some typos in CPAN::Meta::Spec
  - Migrated repository to Perl-Toolchain-Gang organization on Github and
    updated metadata accordingly
- Drop BR: perl(Test::MinimumVersion), upstream test dropped
- Update patches as needed

* Wed Jul 17 2013 Paul Howarth <paul@city-fan.org> - 2.131560-2
- Perl 5.18 rebuild

* Tue Jun 11 2013 Paul Howarth <paul@city-fan.org> - 2.131560-1
- Update to 2.131560
  - Replaced CPAN::Meta SYNOPSIS with code that actually works

* Wed May 29 2013 Paul Howarth <paul@city-fan.org> - 2.131490-1
- Update to 2.131490
  - Downconversion of custom resources was not dropping the leading "x_"; now,
    "x_MailingList" will downconvert correctly to "MailingList"
  - Per the Lancaster Consensus, the 'file' subkey of a package listed in
    'provides' must refer to an actual file in the distribution, either the .pm
    file that provides the package or another file (*.PL) that generates it
- Update patch for building with old Test::More versions

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 2.130880-1
- Update to 2.130880
  - Fix provides 'version' bug introduced in the 2.130870 fix

* Thu Mar 28 2013 Paul Howarth <paul@city-fan.org> - 2.130870-1
- Update to 2.130870
  - Don't add 'version' to 'provides' during conversion if one didn't exist in
    the original
- Don't bother running the spelling test as Test::Spelling seems unable to cope
  with UTF-8 encoded names in POD; also drop the associated buildreqs
- Package new CONTRIBUTING file
- No longer need Test::Requires or the associated patch
- BR: perl(File::Spec::Functions) and perl(List::Util) for the new prereqs test
- BR: perl(Test::MinimumVersion) for new release test
- Specify version requirements for perl(Test::Pod) and perl(Test::Pod::Coverage)

* Thu Aug 23 2012 Paul Howarth <paul@city-fan.org> - 2.120921-4
- Don't run extra tests when bootstrapping

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 2.120921-3
- BR: perl(Perl::Critic::Policy::Miscellanea::RequireRcsKeywords)

* Sun Apr  1 2012 Paul Howarth <paul@city-fan.org> - 2.120921-1
- update to 2.120921
  - CPAN::Meta::Requirements has been split out into its own distribution so it
    can be used by CPAN.pm without requiring all of CPAN::Meta

* Sun Apr  1 2012 Paul Howarth <paul@city-fan.org> - 2.120920-1
- update to 2.120920
  - CPAN::Meta::Requirements now has a 'requirements_for_module' method to
    retrieve a version requirements string for a specific module
  - Parse::CPAN::Meta prerequisite bumped to 1.4403
  - JSON::PP prerequisites bumped to 2.27200
  - CPAN::Meta::YAML prerequisite bumped to 0.008
- update patch for building with old Test::More versions

* Fri Mar 30 2012 Paul Howarth <paul@city-fan.org> - 2.120900-1
- update to 2.120900
  - CPAN::Meta::Requirements now treats undef requirements given to
    from_string_hash() as '0' and warns about it; add_string_requirements()
    dies if it does not get a requirements string to parse
- update patches

* Sat Mar  3 2012 Paul Howarth <paul@city-fan.org> - 2.120630-1
- update to 2.120630
  - CPAN::Meta::Requirements now ensures that dotted-decimal versions are
    represented in normalized form when stringified, which fixes a
    regression in META conversion in 2.120620
- update patch for building with old Test::More versions

* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 2.120620-1
- update to 2.120620
  - CPAN::Meta::Requirements::add_string_requirements now allows building a
    requirements specification piecemeal
  - Version range handling fixed (CPAN RT#75424)
  - CPAN::Meta::Converter handles bad version strings more gracefully,
    truncating alphanumerics and otherwise falling back to "0"; this is likely
    better than dropping a prerequisite or dying (CPAN RT#75427)
- BR: perl(File::Basename)
- update patch for building with old Test::More versions
- don't need to remove empty directories from buildroot
- drop support for distributions prior to FC-3
  - don't need to define %%{perl_vendorlib}
  - use DESTDIR rather than PERL_INSTALL_ROOT
  - never need to BR: aspell-en-gb
  - BR: perl(Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire)
    and perl(Test::Perl::Critic) unconditionally

* Thu Feb 23 2012 Paul Howarth <paul@city-fan.org> - 2.120530-1
- update to 2.120530
  - dialed back perl prereq to 5.006
- add buildreqs for author tests and run the author tests:
  - aspell-en/aspell-en-gb
  - perl(Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire)
  - perl(Pod::Wordlist::hanekomu)
  - perl(Test::Perl::Critic)
  - perl(Test::Requires)
  - perl(Test::Spelling)
- add patch for spell check test for words not in Fedora/RHEL dictionaries
- add patch to work around unavailability of Test::Requires on old releases
- update patches to apply cleanly

* Sat Feb  4 2012 Paul Howarth <paul@city-fan.org> - 2.120351-1
- update to 2.120351
  - work around a memory leak bug involving version objects in boolean context
- this release by DAGOLDEN -> update source URL
- drop redundant buildreq perl(Test::Requires) and patch to work around not
  having it if necessary

* Sat Dec 31 2011 Paul Howarth <paul@city-fan.org> - 2.113640-1
- update to 2.113640
  - Version::Requirements has now been merged as CPAN::Meta::Requirements,
    rendering Version::Requirements itself redundant
- this release by RJBS -> update source URL
- drop BR: perl(Version::Requirements)
- BR: perl(Test::Requires)
- don't attempt to run author tests as they fail
- update patch for building with Test::More < 0.88
- add patch for building without Test::Requires if necessary

* Mon Sep 19 2011 Paul Howarth <paul@city-fan.org> - 2.112621-1
- update to 2.112621
  - spell BACKEND environment variables correctly this time

* Mon Sep 19 2011 Paul Howarth <paul@city-fan.org> - 2.112620-1
- update to 2.112620
  - protect tests against PERL_(YAML|JSON)_BACKEND settings that could cause
    tests to fail (CPAN RT#69979)

* Sat Sep 17 2011 Paul Howarth <paul@city-fan.org> - 2.112600-1
- update to 2.112600
  - fixed spelling error in CPAN::Meta::Spec (CPAN RT#71036)

* Wed Sep 14 2011 Paul Howarth <paul@city-fan.org> - 2.112580-1
- update to 2.112580
  - use UTF-8 mode for internal structure cloning to avoid bugs in
    Perl ≤ 5.8.6 (CPAN RT#70936)
- update patches

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> - 2.112150-1
- update to 2.112150
  - stringify any objects encountered during conversion (CPAN RT#67295)
  - fixed some broken URLs in documentation and for LGPL in legacy
    conversion (CPAN RT#68738)
  - fixed invalid private Pod in CPAN::Meta::Validator (CPAN RT#65925)
  - clarified that file paths in the 'provides' section must be in
    Unix-style (i.e. forward slashes) (CPAN RT#69045)
  - replaced examples using Module::Build::ModuleInfo with Module::Metadata
    (CPAN RT#66135)
  - new test build requirements:
    - perl(Pod::Coverage::TrustPod)
    - perl(Test::CPAN::Meta)
    - perl(Test::Pod::Coverage)
    - perl(Test::Portability::Files)
    - perl(Test::Version) ≥ 0.04
- updated patches
- drop note about CentOS 3 64-bit build failing as it seems to work now

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.110930-2
- rebuild for perl 5.14.1 in Rawhide
- fix dist tag for CentOS 6 and Scientific Linux

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> - 2.110930-1
- update to 2.110930
  - the 1.x spec "gpl" and "lgpl" and "mozilla" license values now up-convert
    to "open_source" because they indicate too non-specific a license
  - fixed a bug in the 'as_string' method that checked the module version
    instead of the meta-spec version when conversion was requested
    (CPAN RT#67188)
- update patch for building with old Test::More versions
- nobody else likes macros for commands

* Mon Feb 28 2011 Paul Howarth <paul@city-fan.org> - 2.110580-1
- update to 2.110580
  - add explicit dependencies on JSON::PP and CPAN::Meta::YAML instead
    of relying on Parse::CPAN::Meta to provide them (as some CPAN Testers
    have had P::C::M installed without them somehow)
  - removed dependency on Storable as it was not a core module
    until Perl 5.8

* Fri Feb 25 2011 Paul Howarth <paul@city-fan.org> - 2.110550-1
- update to 2.110550
  - added required field 'release_status' to the synopsis of
    CPAN::Meta::Spec (CPAN RT#66118)

* Thu Feb 24 2011 Paul Howarth <paul@city-fan.org> - 2.110540-1
- update to 2.110540
  - in the presence of both 'requires' and 'build_requires', only include
    'requires' to avoid confusing some installers

* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> - 2.110440-1
- update to 2.110440
  - the as_string() method now always returns a character string; previously,
    JSON strings were UTF-8 encoded
  - the save() method now always saves with UTF-8 encoding for Perl 5.8.1 or
    greater; previously, YAML was not encoded
  - bump Parse::CPAN::Meta prereq to 1.44, as 1.43 was never released

* Thu Feb 10 2011 Paul Howarth <paul@city-fan.org> - 2.110390-1
- import from Fedora
- update to 2.110390
- drop no-longer needed BR: perl(autodie) and perl(JSON)
- add patch to support building with ExtUtils::MakeMaker < 6.31
- add patch to support building with Test::More < 0.88
- use our own copy of File::Temp if the system one is < 0.20

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.102400-2
- rebuild to fix problems with vendorarch/lib (#661697)

* Sun Aug 29 2010 Iain Arnell <iarnell@gmail.com> 2.102400-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (2.102400)
- added a new br on perl(Carp) (version 0)
- added a new br on perl(Data::Dumper) (version 0)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.31)
- added a new br on perl(File::Spec) (version 0)
- added a new br on perl(File::Temp) (version 0.20)
- added a new br on perl(IO::Dir) (version 0)
- added a new br on perl(Scalar::Util) (version 0)
- added a new br on perl(Storable) (version 0)
- added a new br on perl(autodie) (version 0)
- added a new br on perl(version) (version 0.82)

* Thu Aug 05 2010 Iain Arnell <iarnell@gmail.com> 2.102160-1
- update to latest upstream

* Wed Jun 16 2010 Iain Arnell <iarnell@gmail.com> 2.101670-1
- update to latest upstream

* Mon Jun 14 2010 Iain Arnell <iarnell@gmail.com> 2.101610-1
- update to latest upstream

* Tue Jun 01 2010 Iain Arnell <iarnell@gmail.com> 2.101461-2
- rebuild for perl-5.12

* Fri May 28 2010 Iain Arnell <iarnell@gmail.com> 2.101461-1
- Specfile autogenerated by cpanspec 1.78.
- drop explicit requirements
